com.smartgwt.client.types

## Enum ExportFormat

- java.lang.Object
- - java.lang.Enum<ExportFormat>
  - - com.smartgwt.client.types.ExportFormat

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ExportFormat>

      public enum ExportFormat
      extends java.lang.Enum<ExportFormat>
      implements ValueEnum

  One of the supported formats for data-export. If you are doing a `client export` to one of the native spreadsheet formats (xls or ooxml), we also export `hilite-based` coloring. So, if Hilites are causing a particular cell to be rendered as green text on a blue background, the corresponding cell in the exported spreadsheet document will also be colored that way.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV` Export data in comma-separated format
    `JSON` Export data as JSON objects
    `OOXML` Export data in native Microsoft Excel 2007 format (also called XLSX)
    `XLS` Export data in native Microsoft Excel 97 format
    `XML` Export data as XML records

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExportFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExportFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XML

          public static final ExportFormat XML

      Export data as XML records

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "xml".

    - #### JSON

          public static final ExportFormat JSON

      Export data as JSON objects

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "json".

    - #### CSV

          public static final ExportFormat CSV

      Export data in comma-separated format

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "csv".

    - #### XLS

          public static final ExportFormat XLS

      Export data in native Microsoft Excel 97 format

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "xls".

    - #### OOXML

          public static final ExportFormat OOXML

      Export data in native Microsoft Excel 2007 format (also called XLSX)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ooxml".

  - ### Method Detail

    - #### values

          public static ExportFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExportFormat c : ExportFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExportFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`